Closed Bug 1563296 Opened 1 year ago Closed 1 year ago

Run android power tests (idl, idl-bg, and speedometer) once a week

Categories

(Testing :: Raptor, task, P1)

Version 3
task

Tracking

(firefox69 fixed)

RESOLVED FIXED
mozilla69
Tracking Status
firefox69 --- fixed

People

(Reporter: sparky, Assigned: sparky)

References

Details

Attachments

(2 files)

Currently there is no need to run power usage tests on android per commit so we can have them run weekly instead.

With this patch, all android power tests (idle, idle-bg, and speedometer) will only run once a week, through cron, on saturday.

Summary: Run android power tests (idl, and idl-bg) once a week → Run android power tests (idl, idl-bg, and speedometer) once a week
Attached file target-tasks.json

Tested the patch with the command and attached the target-tasks artifact produced:

 ./mach --log-no-times taskgraph decision --pushlog-id='36233' --pushdate='1562170838' --project='mozilla-central' --owner='cron@noreply.mozilla.org' --level='1' --tasks-for='cron' --base-repository=mozilla-central --head-repository=https://hg.mozilla.org/mozilla-central --head-ref=0000 --head-rev=5f0961efaa1c01e5b4bc449ee5d58260393291ef --target-tasks-method=android_power

A portion of this test command was obtained from:

export CRON_TIME="1562389200"
./mach taskgraph cron --head-repository https://hg.mozilla.org/mozilla-central --project mozilla-central --level 1 --no-create

with the output android-power-test decision task for July 6 at 5:00AM GMT/UTC:

{
    "created": "2019-07-03T19:12:06.652Z",
    "deadline": "2019-07-04T19:12:06.652Z",
    "dependencies": [],
    "expires": "2020-07-02T19:12:06.652Z",
    "extra": {
        "cron": "{\"job_name\":\"android-power-tests\",\"job_symbol\":\"apt\",\"quoted_args\":\"--target-tasks-method=android_power --include-push-tasks\",\"task_id\":\"<cron task id>\"}",
        "tasks_for": "cron",
        "treeherder": {
            "groupSymbol": "cron",
            "machine": {
                "platform": "gecko-decision"
            },
            "symbol": "apt"
        }
    },
    "metadata": {
        "description": "Created by a [cron task](https://tools.taskcluster.net/tasks/<cron task id>)",
        "name": "Decision Task for cron job android-power-tests",
        "owner": "cron@noreply.mozilla.org",
        "source": "https://hg.mozilla.org/mozilla-central/raw-file/5f0961efaa1c01e5b4bc449ee5d58260393291ef/.taskcluster.yml"
    },
    "payload": {
        "artifacts": {
            "public": {
                "expires": "2020-07-02T19:12:06.652Z",
                "path": "/builds/worker/artifacts",
                "type": "directory"
            }
        },
        "cache": {
            "level-1-checkouts-sparse-v2": "/builds/worker/checkouts"
        },
        "command": [
            "/builds/worker/bin/run-task",
            "--gecko-checkout=/builds/worker/checkouts/gecko",
            "--gecko-sparse-profile=build/sparse-profiles/taskgraph",
            "--",
            "bash",
            "-cx",
            "cd /builds/worker/checkouts/gecko && ln -s /builds/worker/artifacts artifacts && ./mach --log-no-times taskgraph decision --pushlog-id='36233' --pushdate='1562170838' --project='mozilla-central' --owner='cron@noreply.mozilla.org' --level='1' --tasks-for='cron' --base-repository=\"$GECKO_BASE_REPOSITORY\" --head-repository=\"$GECKO_HEAD_REPOSITORY\" --head-ref=\"$GECKO_HEAD_REF\" --head-rev=\"$GECKO_HEAD_REV\" --target-tasks-method=android_power --include-push-tasks\n"
        ],
        "env": {
            "GECKO_BASE_REPOSITORY": "https://hg.mozilla.org/mozilla-unified",
            "GECKO_HEAD_REF": "5f0961efaa1c01e5b4bc449ee5d58260393291ef",
            "GECKO_HEAD_REPOSITORY": "https://hg.mozilla.org/mozilla-central",
            "GECKO_HEAD_REV": "5f0961efaa1c01e5b4bc449ee5d58260393291ef",
            "HG_STORE_PATH": "/builds/worker/checkouts/hg-store",
            "TASKCLUSTER_CACHES": "/builds/worker/checkouts",
            "TASKCLUSTER_PROXY_URL": "http://taskcluster",
            "TASKCLUSTER_ROOT_URL": "https://taskcluster.net"
        },
        "features": {
            "chainOfTrust": true,
            "taskclusterProxy": true
        },
        "image": "taskcluster/decision:2.2.0@sha256:0e9689e94605eb8395f5b49141a48148416b0d825f6f7be04c29642d1a85ee3d",
        "maxRunTime": 1800
    },
    "priority": "low",
    "provisionerId": "aws-provisioner-v1",
    "requires": "all-completed",
    "retries": 5,
    "routes": [
        "tc-treeherder.v2.mozilla-central.5f0961efaa1c01e5b4bc449ee5d58260393291ef.36233",
        "index.gecko.v2.mozilla-central.latest.taskgraph.decision-android-power-tests",
        "index.gecko.v2.mozilla-central.revision.5f0961efaa1c01e5b4bc449ee5d58260393291ef.taskgraph.decision-android-power-tests",
        "index.gecko.v2.mozilla-central.pushlog-id.36233.decision-android-power-tests",
        "index.gecko.v2.mozilla-central.revision.5f0961efaa1c01e5b4bc449ee5d58260393291ef.cron.W8VE-ZZUTp28czuDpi0U-w",
        "notify.email.ciduty+failedcron@mozilla.com.on-failed",
        "notify.email.ciduty+exceptioncron@mozilla.com.on-exception",
        "notify.email.sheriffs+failedcron@mozilla.org.on-failed",
        "notify.email.sheriffs+exceptioncron@mozilla.org.on-exception",
        "index.gecko.v2.mozilla-central.latest.firefox.decision-android-power-tests"
    ],
    "schedulerId": "gecko-level-1",
    "scopes": [
        "assume:repo:hg.mozilla.org/mozilla-central:cron:android-power-tests"
    ],
    "tags": {
        "kind": "cron-task"
    },
    "taskGroupId": "W8VE-ZZUTp28czuDpi0U-w",
    "workerType": "gecko-1-decision"
}

Testing with the same commands used above, with the newest changes in the patch we have the following tasks selected (restricted to geckoview on pgo builds now):

[
  "test-android-hw-p2-8-0-android-aarch64/pgo-raptor-speedometer-geckoview-power-e10s",
  "test-android-hw-p2-8-0-android-aarch64/pgo-raptor-scn-power-idle-geckoview-e10s",
  "test-android-hw-p2-8-0-android-aarch64/pgo-raptor-scn-power-idle-bg-geckoview-e10s",
  "test-android-hw-g5-7-0-arm7-api-16/pgo-raptor-scn-power-idle-bg-geckoview-e10s",
  "test-android-hw-p2-8-0-arm7-api-16/pgo-raptor-speedometer-geckoview-power-e10s",
  "test-android-hw-p2-8-0-arm7-api-16/pgo-raptor-scn-power-idle-bg-geckoview-e10s",
  "test-android-hw-g5-7-0-arm7-api-16/pgo-raptor-speedometer-geckoview-power-e10s",
  "test-android-hw-p2-8-0-arm7-api-16/pgo-raptor-scn-power-idle-geckoview-e10s",
  "test-android-hw-g5-7-0-arm7-api-16/pgo-raptor-scn-power-idle-geckoview-e10s"
]
Pushed by gmierz2@outlook.com:
https://hg.mozilla.org/integration/autoland/rev/ec9171417429
Run android power tests once a week with cron. r=perftest-reviewers,AlexandruIonescu,tomprince
Status: NEW → ASSIGNED
Priority: -- → P1
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla69
See Also: → 1568232
See Also: → 1570702
You need to log in before you can comment on or make changes to this bug.